InquiryBandwidthClusterPrice

1. API Description

This API (InquiryBandwidthClusterPrice) is used to query the price of the bandwidth cluster.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

areaCode

Yes

String

Location of bandwidth cluster.

To obtain code, you can call DescribeBandwidthClusterAreas, and find areaCode in the response.

internetChargeType

Yes

Network billing method.

The default billing method is Monthly Burstable 95th, if you need Daily Peak billing, please contact us.

Default value: MonthlyPercent95Bandwidth.

Default value: MonthlyPercent95Bandwidth

commitBandwidthMbps

No

Integer

Bandwidth cluster.

Unit: Mbps.

Available range: [0, 100000].

Default value: 0.

Value range: [0, +)

Default value: 0

networkType

No

IP network type.

product

No

Service type covered by the bandwidth cluster.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

price

The price of bandwidth cluster.

4. Code Example

Query the price of the bandwidth cluster in Shanghai (SHA), with a bandwidth cluster of 100 Mbps, BGP network type and Monthly Burstable 95th billing method.

POST /api/v2/traffic HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryBandwidthClusterPrice
<Common Request Params>

Request:
{
  "areaCode" : "SHA",
  "chargeType" : "POSTPAID",
  "commitBandwidthMbps" : 100,
  "networkType" : "BGP",
  "internetChargeType" : "MonthlyPercent95Bandwidth"
}

Response:
{
  "requestId": "TBF3D5D7B-DE28-42DC-AB14-03B73D777643",
  "response": {
    "price": {
      "unitPrice": 1300.000000,
      "originalPrice": null,
      "discountPrice": null,
      "discount": 100,
      "excessUnitPrice": 1.3,
      "excessAmountUnit": "Mbps",
      "stepPrices": null,
      "discountUnitPrice": 1300.000000,
      "chargeUnit": "MONTH",
      "amountUnit": null,
      "excessDiscountUnitPrice": 1.3
    },
    "requestId": "TBF3D5D7B-DE28-42DC-AB14-03B73D777643"
  }
}

5. 5. Developer Resources

Zenlayer Cloud API 2.0 integratesSDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, seeCommon Error Codes.

HTTP Status Code

Error Code

Description

Last updated